Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.looksgood.ani.easing
Class Cubic

    java.lang.Object
      de.looksgood.ani.easing.Easing
          de.looksgood.ani.easing.Cubic

All Implemented Interfaces:
  AniConstants

    public class Cubic

extends Easing

Field Summary

Fields inherited from class de.looksgood.ani.easing.Easing
`easingMode`

Fields inherited from interface de.looksgood.ani.AniConstants
`ANI_DEBUG_PREFIX, AUTOSTART, BACK_IN, BACK_IN_OUT, BACK_OUT, BACKWARD, BOUNCE_IN, BOUNCE_IN_OUT, BOUNCE_OUT, CIRC_IN, CIRC_IN_OUT, CIRC_OUT, CUBIC_IN, CUBIC_IN_OUT, CUBIC_OUT, ELASTIC_IN, ELASTIC_IN_OUT, ELASTIC_OUT, EXPO_IN, EXPO_IN_OUT, EXPO_OUT, FORWARD, FRAMES, IN, IN_OUT, LINEAR, NO_AUTOSTART, NO_OVERWRITE, ON_DELAY_END, ON_END, ON_START, ON_UPDATE, OUT, OVERWRITE, QUAD_IN, QUAD_IN_OUT, QUAD_OUT, QUART_IN, QUART_IN_OUT, QUART_OUT, QUINT_IN, QUINT_IN_OUT, QUINT_OUT, SECONDS, SINE_IN, SINE_IN_OUT, SINE_OUT, VERSION, YOYO`

Constructor Summary
`Cubic()`
`Cubic(int theEasingMode)`

Method Summary
`float` | `easeIn(float t, float b, float c, float d)` All extensions of the Easing class should implement the following methods
`float` | `easeInOut(float t, float b, float c, float d)`
`float` | `easeOut(float t, float b, float c, float d)`

Methods inherited from class de.looksgood.ani.easing.Easing
`calcEasing, setMode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cubic

    public Cubic(int theEasingMode)

### Cubic

    public Cubic()

Method Detail

### easeIn

    public float easeIn(float t,
                        float b,
                        float c,
                        float d)

  Description copied from class: `Easing`
  All extensions of the Easing class should implement the following methods

### easeOut

    public float easeOut(float t,
                         float b,
                         float c,
                         float d)

### easeInOut

    public float easeInOut(float t,
                           float b,
                           float c,
                           float d)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library Ani by Benedikt Gross. (c) 2015